Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.discrete.inhomogeneous.parameters
Class IDGMParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.models.discrete.DGMParameterSet
                      de.jstacs.models.discrete.inhomogeneous.parameters.IDGMParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

Direct Known Subclasses:
  BayesianNetworkModelParameterSet, FSDAGMParameterSet

    public abstract class IDGMParameterSet

extends DGMParameterSet

This is the abstract container of parameters that is a root container for all inhomogeneous discrete graphical model parameter containers.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`protected` | `IDGMParameterSet(Class<? extends InhomogeneousDGM> instanceClass)` This constructor creates an empty `IDGMParameterSet` instance from the class that can be instantiated using this `IDGMParameterSet`.
`protected` | `IDGMParameterSet(Class<? extends InhomogeneousDGM> instanceClass, AlphabetContainer alphabet, int length, double ess, String description)` This constructor creates an `IDGMParameterSet` instance for the specified class.
`protected` | `IDGMParameterSet(StringBuffer s)` The standard constructor for the interface `Storable`.

Method Summary
`static String` | `getModelInstanceName(StructureLearner.ModelType model, byte order, StructureLearner.LearningType method, double ess)` This method returns a short textual representation of the model instance.

Methods inherited from class de.jstacs.models.discrete.DGMParameterSet
`clone, getInstanceName, hasDefaultOrIsSet, loadParameters, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass, getInstanceComment`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDGMParameterSet

    protected IDGMParameterSet(StringBuffer s)
                        throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `IDGMParameterSet` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `IDGMParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `DGMParameterSet.DGMParameterSet(StringBuffer)`

### IDGMParameterSet

    protected IDGMParameterSet(Class<? extends InhomogeneousDGM> instanceClass)

  This constructor creates an empty `IDGMParameterSet` instance from the class that can be instantiated using this `IDGMParameterSet`.

  Parameters:
    `instanceClass` - the instance class
  See Also:
    `DGMParameterSet.DGMParameterSet(Class, boolean, boolean)`

### IDGMParameterSet

    protected IDGMParameterSet(Class<? extends InhomogeneousDGM> instanceClass,
                               AlphabetContainer alphabet,
                               int length,
                               double ess,
                               String description)
                        throws Exception

  This constructor creates an `IDGMParameterSet` instance for the specified class. It sets the `AlphabetContainer`, the length, the ess (equivalent sample size) and the model description.

  Parameters:
    `instanceClass` - the instance class
    `alphabet` - the `AlphabetContainer` for the model
    `length` - the length of the model
    `ess` - the ess of the model
    `description` - the model description
  Throws:
    `Exception` - if something went wrong

Method Detail

### getModelInstanceName

    public static String getModelInstanceName(StructureLearner.ModelType model,
                                              byte order,
                                              StructureLearner.LearningType method,
                                              double ess)

  This method returns a short textual representation of the model instance.

  Parameters:
    `model` - the type of the model
    `order` - the order of the model
    `method` - the learning method
    `ess` - the used ess (equivalent sample size)
  Returns:
    a short textual representation of the model instance
  See Also:
    `StructureLearner.ModelType`, `StructureLearner.LearningType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD